Subject: Re: [PATCH net-next] igmp: remove useless (void) cast

From: Cong Wang <[email-masked]>
Date: Sat, 1 Jun 2013 02:51:05 +0000 (UTC)

On Sat, 01 Jun 2013 at 01:44 GMT, Stephen Hemminger <[email-masked]> wrote:
> Back in the old Unix lint days, it was common to put (void) in front
> of functions when return value was being ignored. Now this is considered
> unnecessary, catch up with the fashion.
>

None of the callers of ip_mc_leave_src() checks its return value, so I
think we can just make it void.